/*-m-aplpm-----------------------------------------------------------
 *
 * Module Name: aplpm.h
 *
 * Descriptive Name: APL2 to Presentation Manager
 *
 * Copyright:   APL2 for OS/2           Version 1.0
 *              Licensed Materials - Property of IBM
 *              (C) COPYRIGHT IBM CORP. 1994
 *
 * Function: Header file for using APL2/2 PM utilities
 *
 * Notes:
 *
 *    Dependencies: None
 *
 *    Restrictions: None
 *
 * Module Type: Header
 *
 * Change Activity:
 *
 *-Z----------------------------------------------------------------*/

/*******************************************************************/
/*                                                                 */
/* Header file for using APL2/2 PM utilities                       */
/*                                                                 */
/*******************************************************************/

#define APLPM_DLL    "aplpm"
#define PANEL_HELPUSINGHELPKEYS   25000

/*******************************************************************/
/*                                                                 */
/* Prototypes for APL utilities                                    */
/*                                                                 */
/*******************************************************************/

ULONG AplExec(PSZ Command,PULONG CmdRc,BOOL Visible,BOOL Leave,HEV HevCancel) ;
BOOL    APIENTRY AplFileDlg(HWND Owner,ULONG Style,CHAR FileName[CCHMAXPATH],USHORT Id,PULONG FileRc) ;
BOOL    APIENTRY AplFontDlg(HWND Target,USHORT Id) ;
MRESULT EXPENTRY AplKey(HWND hwnd,ULONG msg,MPARAM mp1,MPARAM mp2) ;
MRESULT EXPENTRY AplPrintObject(HWND hwnd,ULONG msg,MPARAM mp1,MPARAM mp2) ;

BOOL             AplAllocWindowBytes(HWND hwnd,ULONG length) ;
BOOL             AplSetWindowPtr(HWND hwnd,ULONG Offset,PVOID Ptr) ;
PVOID            AplQueryWindowPtr(HWND hwnd,ULONG Offset) ;
BOOL             AplFreeWindowBytes(HWND hwnd) ;

/*******************************************************************/
/*                                                                 */
/* Defines and declarations for use with APL keyboard procedure    */
/*                                                                 */
/*******************************************************************/

/* Messages for controlling the keyboard handler */
#define APLKEY_BYTES_LENGTH    4
#define APLKEY_BYTES_OFFSET    0

/* Messages for controlling the keyboard handler */
#define APLKEY_MSG_INIT           WM_USER+1
#define APLKEY_MSG_SELECT         WM_USER+2
#define APLKEY_MSG_MODIFY         WM_USER+3
#define APLKEY_MSG_TERM           WM_USER+4

/*******************************************************************/
/*                                                                 */
/* Defines and declarations for use with APL Print control         */
/*                                                                 */
/*******************************************************************/
#define APLPRT_CLASS            "APL2 PRINT"
#define APLPRT_RESERVED         8

/**********************************************************************
*                                                                     *
* APL Print Messages                                                  *
*                                                                     *
**********************************************************************/
#define APLPRT_OPEN_DOCUMENT    WM_USER+11
#define APLPRT_SELECT_PRINTER   WM_USER+12
#define APLPRT_PRINT_SENTENCE   WM_USER+13
#define APLPRT_NEWLINE          WM_USER+14
#define APLPRT_NEWPAGE          WM_USER+15
#define APLPRT_CLOSE_DOCUMENT   WM_USER+16
#define APLPRT_CANCEL_DOCUMENT  WM_USER+17
#define APLPRT_SET_INDENT       WM_USER+18
#define APLPRT_SET_WORDBREAK    WM_USER+19
#define APLPRT_SET_HEADING      WM_USER+20
#define APLPRT_SET_FOOTING      WM_USER+21
#define APLPRT_SET_FONT         WM_USER+22
#define APLPRT_SET_PAGENUMBERS  WM_USER+24
#define APLPRT_QUERY_PAGENUMBER WM_USER+25
#define APLPRT_SET_COLOR        WM_USER+28
#define APLPRT_QUERY_LENGTH     WM_USER+29
#define APLPRT_SET_MARGIN       WM_USER+30
#define APLPRT_SET_LINESPACE    WM_USER+31
#define APLPRT_SET_SBCS         WM_USER+32

/**********************************************************************
*                                                                     *
* APL Print Font codes                                                *
*                                                                     *
**********************************************************************/
#define APLPRT_FONT_BODY        0
#define APLPRT_FONT_PAGENUMBERS 1
#define APLPRT_FONT_HEADINGS    2
#define APLPRT_FONT_FOOTINGS    3

/**********************************************************************
*                                                                     *
* APL Print Notify Codes                                              *
*                                                                     *
**********************************************************************/

#define APLPRT_PRINT_CANCELLED  0x00000001L
